UI::Util::Http::Cookies Class Reference

Handle "Cookie" request header field values syntactically. More...

`#include <Cookie.hpp>`

Inheritance diagram for UI::Util::Http::Cookies:
Collaboration diagram for UI::Util::Http::Cookies:

## Public Member Functions

| Cookies (std::string const &line="", std::string const &prefix="")
| Cookies (HeaderField const &field, std::string const &prefix="")
| Cookies (Header const &header, std::string const &prefix="")
Modifiers (add cookies).
Cookies & | add (std::string const &name, std::string const &value)
Cookies & | addLine (std::string const &line, std::string const &prefix="")
Cookies & | add (Header const &header, std::string const &prefix="")
Accessors.
const_iterator | find (std::string const &name) const
bool | exists (std::string const &name) const
std::string const & | get (std::string const &name, bool doThrow=true) const
std::string | getLine (std::string const &prefix="") const

## Detailed Description

Handle "Cookie" request header field values syntactically.

Note
  Wording line means a string in "Cookie" header field value syntax ("a=b;c=d;e=f") as described http://wp.netscape.com/newsref/std/cookie_spec.html .

The documentation for this class was generated from the following files:

- Cookie.hpp
- Cookie.cpp